%define realname bashate
%define srcext   tar.bz2

%if ! 0%{?py_ver:1}
%define py_ver %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%endif

# Common info
Name:          %{realname}
Version:       0.5.1
Release:       8.4%{?dist}
License:       Apache-2.0
Group:         Development/Tools/Debuggers
URL:           https://github.com/openstack-dev/bashate
Summary:       A pep8 equivalent for bash scripts

# Install-time parameters
Provides:      python-%{realname}
Requires:      python(abi) = %{py_ver}
Requires:      python-pbr >= 1.8

# Build-time parameters
BuildArch:     noarch
BuildRequires: python%{?suse_version:-base}
BuildRequires: python-pbr >= 1.8
BuildRequires: python-setuptools
BuildRoot:     %{_tmppath}/%{name}-root
Source:        %{realname}-%{version}%{?extraver}.%{srcext}

%description
This program attempts to be an automated style checker for bash scripts to fill
the same part of code review that pep8 does in most OpenStack projects.
It started from humble beginnings in the DevStack project, and will continue to
evolve over time.

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{version}%{?extraver}
PBR_VERSION=%{version} python setup.py sdist --keep-temp

%build
cd %{realname}-%{version}
python setup.py build

%install
export PATH=/usr/bin:/bin:/usr/sbin:/sbin
cd %{realname}-%{version}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
[ "%{buildroot}" != "/" ] && find %{buildroot}%{python_sitelib}/%{realname}/ -name "*.pyo" -delete

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTING.rst HACKING.rst LICENSE README.rst
%{_bindir}/bashate
%{python_sitelib}/%{realname}/
%{python_sitelib}/%{realname}-%{version}-py%{py_ver}.egg-info/

%changelog
* Wed Jun  8 2016 aevseev@gmail.com
- New upstream version - 0.5.1
* Fri Apr 15 2016 aevseev@gmail.com
- First build. Version - 0.5.0
